from __future__ import print_function
from drawille import Canvas
from math import sin, radians

import csv
import array as arr
import sys

file_CSV = open(sys.argv[3]+'_'+sys.argv[4]+'.csv')
data_CSV = csv.reader(file_CSV)
list_CSV = list(data_CSV)

datea = []
timea = []
opena = arr.array('d', [])
higha = arr.array('d', [])
lowa = arr.array('d', [])
closea = arr.array('d', [])
volumea = arr.array('d', [])
incr=0
highesthigh=0
lowestlow=999999

for row in list_CSV:
	datea.append(row[0])
	timea.append(row[1])
	opena.append(float(row[2]))
	higha.append(float(row[3]))
	lowa.append(float(row[4]))
	closea.append(float(row[5]))
	volumea.append(float(row[6]))	
	incr += 1

c = Canvas()

incr2=0

if len(sys.argv)<3:
	print('Please pass y ratio as argument #2')
	print('Please pass bars nb as argument #3')
	sys.exit(0)
else:
	for x in range(incr-int(sys.argv[2]), incr, 1):
		c.set(incr2, -closea[x]*float(sys.argv[1]))
		if closea[x]>highesthigh:
			highesthigh=closea[x]
		if closea[x]<lowestlow:
			lowestlow=closea[x]
		incr2 += 1

	c.set_text(0,-highesthigh*float(sys.argv[1]),"{:.4f}".format(highesthigh))
	c.set_text(0,-lowestlow*float(sys.argv[1]),"{:.4f}".format(lowestlow))
	c.set_text(0,-closea[x]*float(sys.argv[1]),"{:.4f}".format(closea[x])+" (last)")
	c.set_text(0,-lowestlow*float(sys.argv[1])+5,datea[x-int(sys.argv[2])]+" "+timea[x-int(sys.argv[2])])
	c.set_text(incr2-1,-lowestlow*float(sys.argv[1])+5,datea[x]+" "+timea[x])

	print(c.frame())
