NOWTIMESTAMP=$(date +"%s")
if [ "$4" == "1m" ]
then
	DECAY=`expr $3 \* 60 \* 5`
	#DECAY=129600
elif [ "$4" == "5m" ]
then
	DECAY=`expr $3 \* 60 \* 5 \* 5`
	#DECAY=800393
elif [ "$4" == "15m" ]
then
	DECAY=`expr $3 \* 60 \* 15 \* 5`
	#DECAY=2401181
elif [ "$4" == "30m" ]
then
	DECAY=`expr $3 \* 60 \* 30 \* 5`
	#DECAY=4802363
elif [ "$4" == "1h" ]
then
	DECAY=`expr $3 \* 60 \* 60 \* 5`
	#DECAY=6243071
elif [ "$4" == "1d" ]
then
	DECAY=`expr $3 \* 60 \* 60 \* 24`
	#DECAY=137894400
elif [ "$4" == "1wk" ]
then
	DECAY=`expr $3 \* 60 \* 60 \* 24 \* 7`
	#DECAY=160876800
elif [ "$4" == "1mo" ]
then
	DECAY=`expr $3 \* 60 \* 60 \* 24 \* 7 \* 30`
	#DECAY=689472000
else 
	echo "Invalid timeframe"
	#sys.exit()
fi
#echo $DECAY
STARTTIMESTAMP=$(( NOWTIMESTAMP - DECAY ))
#echo $NOWTIMESTAMP
#echo $STARTTIMESTAMP
curl -k -o yf1.txt "https://query1.finance.yahoo.com/v8/finance/chart/$1" -G -d "interval=$4&period1=$STARTTIMESTAMP&period2=$NOWTIMESTAMP"
./yf > "$1_$4.csv"
gnuplot -e "mytitle='$1_$4'" pyc.p
if [ -d "/storage/emulated/0" ] 
then
	#echo "Directory exists." 
	cp $1_$4.png /storage/emulated/0/
#else
	#echo "Error: Directory does not exists."
fi
echo "Ticker: $1 - timeframe: $4 - Y scale ratio: $2 - number of points (bars): $3"
python readfile2.py $2 $3 $1 $4
